# Generated from pretentious-0.2.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pretentious

Name: rubygem-%{gem_name}
Version: 0.2.4
Release: 1%{?dist}
Summary: Characterization Tests generator for Ruby - Generate tests from existing/legacy code as well as a way to deal with pretentious TDD/BDD developers
License: MIT
URL: https://github.com/jedld/pretentious
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(minitest) >= 5.7
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-stub_any_instance) >= 1.0
# BuildRequires: rubygem(minitest-stub_any_instance) < 2
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(rubocop) >= 0.35
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rspec_junit_formatter) = 0.2.2
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Characterization Tests for Ruby - Do you have a pretentious boss or dev lead
that pushes you to embrace tdd but for reasons hate it or them? here is a gem
to deal with that.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/pretentious
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/example.rb
%{gem_libdir}
%{gem_instdir}/pretentious.yml
%{gem_instdir}/run_test.sh
%{gem_instdir}/sample.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pretentious.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test
%{gem_instdir}/test_classes.rb

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.4-1
- Initial package
